
package bbuvajava;

import java.util.ArrayList;
import java.util.Iterator;

public class Cliente {
        private String nombreCliente;
        private String direccion;
        private String telefono;
        private ArrayList<Producto> mProducto;


    public Cliente(){
        mProducto=new ArrayList();
    }

    public String getNombreCliente () {
        return nombreCliente;
    }

    public void setNombreCliente (String val) {
        this.nombreCliente = val;
    }

    public ArrayList<Producto> getMProducto() {
        return mProducto;
    }

    public void setMProducto(ArrayList<Producto> mProducto) {
        this.mProducto = mProducto;
    }

    public void insertaProductoenCliente(Producto p){
        this.mProducto.add(p);
    }

    public String getDireccion() {
        return direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    public String getTelefono() {
        return telefono;
    }

    public void setTelefono(String telefono) {
        this.telefono = telefono;
    }
    
    public String mostrarProductos(){
        String aux="";
        int n=0;

    Iterator iterador = this.mProducto.listIterator();
        while( iterador.hasNext() ) {
            Producto p = (Producto) iterador.next();
            n++;
            aux+="\n\n    NºCuenta: "+p.getNumeroProducto();
            aux+="\n    Saldo:       "+p.getSaldo();

           }
           aux+="\n\n\tNº Total de cuentas: "+n;

        return aux;


    }

}
